'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var Client = require('./Client.js');
var Applications = require('./Application/Applications.js');
var Tests = require('./Tests/Tests.js');
var Servers = require('./Servers.js');

class LoaderIO {
    /**
     *
     * @param {string} token
     * @param {string} server
     * @param {string} version
     */
    constructor({token, server = 'https://api.loader.io', version = 'v2'}) {
        const client      = new Client['default'](token, server, version);

        this.applications = new Applications['default'](client);
        this.tests        = new Tests['default'](client);
        this.servers      = new Servers['default'](client);
    }
}

module.exports = exports = LoaderIO;

exports.default = LoaderIO;
